langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.full
    - field.field.node.basic_page.field_p_basic_display_audience
    - field.field.node.basic_page.field_p_basic_display_body
    - field.field.node.basic_page.field_p_basic_display_byline
    - field.field.node.basic_page.field_p_basic_display_caption
    - field.field.node.basic_page.field_p_basic_display_cds
    - field.field.node.basic_page.field_p_basic_display_component
    - field.field.node.basic_page.field_p_basic_display_d7_path
    - field.field.node.basic_page.field_p_basic_display_image
    - field.field.node.basic_page.field_p_basic_display_media_type
    - field.field.node.basic_page.field_p_basic_display_strap
    - field.field.node.basic_page.field_p_basic_display_tags
    - field.field.node.basic_page.field_p_basic_display_topic
    - node.type.basic_page
  module:
    - cern_cds_media
    - ds
    - entity_reference_revisions
    - image
    - text
    - user
third_party_settings:
  ds:
    layout:
      id: pattern_basic_display
      library: null
      disable_css: false
      entity_classes: all_classes
      settings:
        pattern:
          field_templates: only_content
    regions:
      title:
        - node_title
      strap:
        - field_p_basic_display_strap
      image:
        - field_p_basic_display_image
        - field_p_basic_display_cds
      caption:
        - field_p_basic_display_caption
      body:
        - field_p_basic_display_body
      component:
        - field_p_basic_display_component
    fields:
      node_title:
        plugin_id: node_title
        weight: 0
        label: hidden
        formatter: default
        settings:
          wrapper: ''
          class: ''
          link: false
id: node.basic_page.full
targetEntityType: node
bundle: basic_page
mode: full
content:
  content_moderation_control:
    weight: -20
    region: content
  field_p_basic_display_body:
    weight: 5
    label: above
    settings: {  }
    third_party_settings: {  }
    type: text_default
    region: body
  field_p_basic_display_caption:
    weight: 4
    label: above
    settings: {  }
    third_party_settings: {  }
    type: basic_string
    region: caption
  field_p_basic_display_cds:
    weight: 3
    label: above
    settings: {  }
    third_party_settings: {  }
    type: CernCdsMediaDefaultFormatter
    region: image
  field_p_basic_display_component:
    type: entity_reference_revisions_entity_view
    weight: 6
    label: above
    settings:
      view_mode: default
      link: ''
    third_party_settings: {  }
    region: component
  field_p_basic_display_image:
    weight: 2
    label: above
    settings:
      image_style: ''
      image_link: ''
    third_party_settings: {  }
    type: image
    region: image
  field_p_basic_display_strap:
    weight: 1
    label: above
    settings:
      link_to_entity: false
    third_party_settings: {  }
    type: string
    region: strap
hidden:
  field_p_basic_display_audience: true
  field_p_basic_display_byline: true
  field_p_basic_display_d7_path: true
  field_p_basic_display_media_type: true
  field_p_basic_display_tags: true
  field_p_basic_display_topic: true
  langcode: true
  links: true
